org.apache.lucene.facet

## Class MultiFacetQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.TermInSetQuery
    - - org.apache.lucene.facet.MultiFacetQuery

- All Implemented Interfaces:
    Accountable

      public class MultiFacetQuery
      extends TermInSetQuery

  A multi-terms `Query` over a `FacetField`.

  NOTE:This helper class is an alternative to `DrillDownQuery` especially in cases where you don't intend to use `DrillSideways`

  See Also:
    `TermInSetQuery`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiFacetQuery(FacetsConfig facetsConfig, String dimension, String[]... paths)` Creates a new `MultiFacetQuery` filtering the query on the given dimension.
    `MultiFacetQuery(String dimension, String[]... paths)` Creates a new `MultiFacetQuery` filtering the query on the given dimension.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.search.TermInSetQuery

      `createWeight, equals, getChildResources, getTermData, hashCode, ramBytesUsed, rewrite, toString`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiFacetQuery

          public MultiFacetQuery(FacetsConfig facetsConfig,
                                 String dimension,
                                 String[]... paths)

      Creates a new `MultiFacetQuery` filtering the query on the given dimension.

    - #### MultiFacetQuery

          public MultiFacetQuery(String dimension,
                                 String[]... paths)

      Creates a new `MultiFacetQuery` filtering the query on the given dimension.

      NOTE:Uses FacetsConfig.DEFAULT_DIM_CONFIG.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.